﻿@{
    Layout = "~/Views/Shared/Layout/_Layout.cshtml";
    ViewData["PageName"] = ViewData["PageName"];
    ViewData["PageParentName"] = ViewData["PageParentName"];
    
}
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using CMS.Core.Domain.Component


@{
    var logoModel = new PictureViewModel();
    logoModel.Name = "Logo";
    logoModel.size = "300px x 19px";

    var logofooterModel = new PictureViewModel();
    logofooterModel.Name = "LogoFooter";
    logofooterModel.size = "300px x 19px";
}

<div class="row">
    <div class="col-lg-12 col-md-12 setting-list">
        <div class="card">
            <div class="header" data-toggle="collapse" data-target="#logosetting">
                <h2> <i class="fa fa-image panel-icon"></i> Logo</h2>
                <hr />
            </div>
            <div class="body collapse show" id="logosetting">
                <div class="p-l-15 p-r-15">
                    <div class="row">
                        <div class="col-lg-5 col-md-6 col-sm-12"> 
                            <partial name="~/Views/Shared/Layout/EditorTemplate/_UploadImage.cshtml" model="logoModel" />
                        </div>
                        <div class="col-lg-5 col-md-6 col-sm-12"> 
                            <partial name="~/Views/Shared/Layout/EditorTemplate/_UploadImage.cshtml" model="logofooterModel" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="header" data-toggle="collapse" data-target="#generalsetting">
                <h2> <i class="fa fa-info-circle panel-icon"></i> Cài đặt chung</h2>
                <hr />
            </div>
            <div class="body collapse show" id="generalsetting">
                <div class="p-l-15 p-r-15">
                    <div class="row">
                        <div class="col-lg-4 col-md-4 col-sm-12">
                            <h6>Thông báo cấu hình</h6>
                            <hr>
                            <ul class="setting-list list-unstyled">
                                <li>
                                    <label class="fancy-checkbox">
                                        <input type="checkbox" name="RoleChangesNotification" id="isRoleChangesNotification">
                                        <span>Thông báo thay đổi quyền</span>
                                    </label>
                                </li>
                                <li>
                                    <label class="fancy-checkbox">
                                        <input type="checkbox" name="HRChangesNotification" id="isHRChangesNotification">
                                        <span>Thông báo điều chỉnh nhân sự</span>
                                    </label>
                                </li>
                                <li>
                                    <label class="fancy-checkbox">
                                        <input type="checkbox" name="SettingChangesNotification" id="isSettingChangesNotification">
                                        <span>Thông báo điều chỉnh hệ thống</span>
                                    </label>
                                </li>
                            </ul>
                        </div>
                        <div class="col-lg-4 col-md-4 col-sm-12">
                            <h6>Thông báo lịch </h6>
                            <hr>
                            <ul class="setting-list list-unstyled">
                                <li>
                                    <label class="fancy-checkbox">
                                        <input type="checkbox" name="MeetingScheduleNotification" id="isMeetingScheduleNotification">
                                        <span>Thông báo lịch họp</span>
                                    </label>
                                </li>
                                <li>
                                    <label class="fancy-checkbox">
                                        <input type="checkbox" name="EventNotification" id="isEventNotification">
                                        <span>Thông báo event</span>
                                    </label>
                                </li>
                                <li>
                                    <label class="fancy-checkbox">
                                        <input type="checkbox" name="LeaveRequestNotification" id="isLeaveRequestNotification">
                                        <span>Thông báo đơn phép</span>
                                    </label>
                                </li>
                            </ul>
                        </div>
                        <div class="col-lg-4 col-md-4 col-sm-12">
                            <h6>Thông báo hệ thống</h6>
                            <hr>
                            <ul class="setting-list list-unstyled">
                                <li>
                                    <label class="fancy-checkbox">
                                        <input type="checkbox" name="UpdateNotification" id="isUpdateNotification">
                                        <span>Thông báo cập nhật mới</span>
                                    </label>
                                </li>
                                <li>
                                    <label class="fancy-checkbox">
                                        <input type="checkbox" name="ReportNotification" id="isReportNotification">
                                        <span>Thông báo báo cáo mới</span>
                                    </label>
                                </li>
                                <li>
                                    <label class="fancy-checkbox">
                                        <input type="checkbox" name="ProjectChangeNotification" id="isProjectChangeNotification">
                                        <span>Thông báo về dự án</span>
                                    </label>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="header" data-toggle="collapse" data-target="#infoweb">
                <h2><i class="fa fa-search-plus panel-icon"></i> Thông tin website</h2>
                <hr />
            </div>
            <div class="body collapse show" id="infoweb">
                <div class="form-group row">
                    <label for="TitleWeb" class="col-sm-3 col-form-label">Tiêu đề mặc định </label>
                    <div class="col-sm-6">
                        <input type="text" class="form-control" id="TitleWeb">
                    </div>
                </div>
                <div class="form-group row">
                    <label for="Email" class="col-sm-3 col-form-label">Email mặc định</label>
                    <div class="col-sm-6">
                        <input type="email" class="form-control" id="Email">
                    </div>
                </div>
                <div class="form-group row">
                    <label for="Address" class="col-sm-3 col-form-label">Địa chỉ liên hệ</label>
                    <div class="col-sm-6">
                        <input type="text" class="form-control" id="Address">
                    </div>
                </div>
                <div class="form-group row">
                    <label for="PhoneNumber" class="col-sm-3 col-form-label">Số điện thoại liên hệ</label>
                    <div class="col-sm-6">
                        <input type="text" class="form-control" id="PhoneNumber">
                    </div>
                </div>
                <div class="form-group row">
                    <label for="TitleFooter" class="col-sm-3 col-form-label">Tiêu đề footer</label>
                    <div class="col-sm-6">
                        <input type="text" class="form-control" id="TitleFooter">
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="header" data-toggle="collapse" data-target="#socialsetting">
                <h2><i class="fa fa-share-square-o panel-icon"></i> Mạng xã hội</h2>
                <hr />
            </div>
            <div class="body collapse show" id="socialsetting">
                <div class="form-group row">
                    <div class="col-sm-1">
                        <label class="fancy-checkbox">
                            <input type="checkbox" name="isFacebookUrl" id="isFacebookUrl">
                            <span></span>
                        </label>
                    </div>
                    <label for="FacebookUrl" class="col-sm-2 col-form-label"> Facebook page url</label>
                    <div class="col-sm-6">
                        <input type="text" class="form-control" id="FacebookUrl">
                    </div>
                </div>
                <div class="form-group row">
                    <div class="col-sm-1">
                        <label class="fancy-checkbox">
                            <input type="checkbox" name="isYoutubeUrl" id="isYoutubeUrl">
                            <span></span>
                        </label>
                    </div>
                    <label for="YoutubeUrl" class="col-sm-2 col-form-label"> Youtube page url</label>
                    <div class="col-sm-6">
                        <input type="email" class="form-control" id="YoutubeUrl">
                    </div>
                </div>
                <div class="form-group row">
                    <div class="col-sm-1">
                        <label class="fancy-checkbox">
                            <input type="checkbox" name="isTwitterUrl" id="isTwitterUrl">
                            <span></span>
                        </label>
                    </div>
                    <label for="TwitterUrl" class="col-sm-2 col-form-label"> Twitter page url</label>
                    <div class="col-sm-6">
                        <input type="email" class="form-control" id="TwitterUrl">
                    </div>
                </div>
                <div class="form-group row">
                    <div class="col-sm-1">
                        <label class="fancy-checkbox">
                            <input type="checkbox" name="isLinkedinUrl" id="isLinkedinUrl">
                            <span></span>
                        </label>
                    </div>
                    <label for="LinkedinUrl" class="col-sm-2 col-form-label"> Linkedin page url</label>
                    <div class="col-sm-6">
                        <input type="email" class="form-control" id="LinkedinUrl">
                    </div>
                </div>
                <div class="form-group row">
                    <div class="col-sm-1">
                        <label class="fancy-checkbox">
                            <input type="checkbox" name="isGoogleplusUrl">
                            <span></span>
                        </label>
                    </div>
                    <label for="GoogleplusUrl" class="col-sm-2 col-form-label"> Google + page url</label>
                    <div class="col-sm-6">
                        <input type="email" class="form-control" id="GoogleplusUrl">
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@section css{
    <!-- layout css -->
    <link rel="stylesheet" href="~/admin/css/ladda.min.css" />
    <link rel="stylesheet" href="~/lib/vendor/nestable/jquery-nestable.css" />
    <link rel="stylesheet" href="~/lib/vendor/sweetalert/sweetalert.css">
    <link rel="stylesheet" href="~/lib/vendor/summernote/dist/summernote.css" />
    <!-- Layout kendo -->
    <link href="~/lib/kendo/library/kendo.common-material.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.rtl.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.material.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.material.mobile.min.css" rel="stylesheet" />
    <!-- custom css -->
    <link href="~/css/manager/Menu/menustyle.css" rel="stylesheet" />
    <link rel="stylesheet" href="~/lib/vendor/dropify/css/dropify.min.css">
    <style>
        .setting-list label {
            text-align: right;
        }
    </style>

} 
@section Scripts {
    <!-- Page javascript -->
    <script src="~/admin/js/nestable.js"></script>
    <script src="~/admin/js/ladda.min.js"></script>

    <!-- Assets js -->
    <script src="~/lib/assets/js/widgets/bootstrapnotify/bootstrap-notify.js"></script>
    <script src="~/lib/assets/bundles/datatablescripts.bundle.js"></script>
    <script src="~/lib/assets/js/pages/tables/jquery-datatable.js"></script>
    <script src="~/lib/assets/js/pages/ui/dialogs.js"></script>
    <script src="~/lib/vendor/summernote/dist/summernote.js"></script>

    <!-- Function js -->
    <script src="~/lib/vendor/sweetalert/sweetalert.min.js"></script>
    <script src="~/lib/ckeditor/ckeditor.js"></script>
    <script src="~/lib/kendo/library/kendo.all.min.js"></script>

    <script src="~/js/manager/base.js"></script>
    <script src="~/js/manager/kendocontroller.js"></script>
    <script src="~/admin/js/nestable.js"></script>
    <script src="~/js/manager/Setting/generalsetting.js"></script>
    <script src="~/lib/vendor/dropify/js/dropify.min.js"></script>
    <script src="~/lib/assets/js/pages/forms/dropify.js"></script>
}
 